org.jbpm.runtime.manager.impl.migration

## Class MigrationSpec

- java.lang.Object
- - org.jbpm.runtime.manager.impl.migration.MigrationSpec

- All Implemented Interfaces:
    Serializable

      public class MigrationSpec
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrationSpec()`
    `MigrationSpec(String deploymentId, Long processInstanceId, String toDeploymentId, String toProcessId)` Creates new migration definition to be used to migrate single process instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeploymentId()`
    `Long` | `getProcessInstanceId()`
    `String` | `getToDeploymentId()`
    `String` | `getToProcessId()`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setProcessInstanceId(Long processInstanceId)`
    `void` | `setToDeploymentId(String toDeploymentId)`
    `void` | `setToProcessId(String toProcessId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MigrationSpec

          public MigrationSpec()

    - #### MigrationSpec

          public MigrationSpec(String deploymentId,
                               Long processInstanceId,
                               String toDeploymentId,
                               String toProcessId)

      Creates new migration definition to be used to migrate single process instance
      Parameters:
        `deploymentId` - source deployment id - one that process instance belongs to
        `processInstanceId` - actual process instance id - must be active process instance
        `toDeploymentId` - target deployment id where process instance should be migrated to
        `toProcessId` - target process id within the target deployment id

  - ### Method Detail

    - #### getDeploymentId

          public String getDeploymentId()

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

    - #### getToProcessId

          public String getToProcessId()

    - #### setToProcessId

          public void setToProcessId(String toProcessId)

    - #### getToDeploymentId

          public String getToDeploymentId()

    - #### setToDeploymentId

          public void setToDeploymentId(String toDeploymentId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.